## ukui-panel-3.0.6.4-4.src.tar.gz

=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)

include(../cmake/UkuiPluginTranslationTs.cmake)
ukui_plugin_translate_ts(${PLUGIN})

BUILD_UKUI_PLUGIN(${PLUGIN})

=== debian/changelog ===
ukui-panel (3.0.6.4-1) unstable; urgency=medium

  * New upstream bugfix release. (LP: #1966864)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 29 Mar 2022 14:56:10 +0800

ukui-panel (3.0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Feb 2022 15:24:34 +0800

ukui-panel (3.0.6-1) focal; urgency=medium

  * New upstream release.

 -- Allen <zouchang@kylinos.cn>  Thu, 04 Nov 2021 17:19:50 +0800

ukui-panel (3.0.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 27 Sep 2021 14:51:15 +0800

ukui-panel (3.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 05 Aug 2021 14:32:40 +0800

ukui-panel (3.0.3.1-1) unstable; urgency=medium

  * Fix the error caused by ukuitaskbaricon.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 19 Mar 2021 08:52:41 +0000

ukui-panel (3.0.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 28 Sep 2020 10:31:19 +0800

ukui-panel (3.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 27 Sep 2020 18:50:43 +0800

ukui-panel (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 01 Aug 2020 03:11:43 +0000

ukui-panel (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian:
    - Update ukui-panel.postinst.
    - Update copyright.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 27 Jul 2020 01:05:06 +0000

ukui-panel (2.0.7-1) unstable; urgency=medium

  * New upstream bugfix release:
    - Fix that panel stuck after invoke ukui-control-center.
    - Fix that night mode causes the screen flicker.
    - Don't exit if ukui-window-switch does not exist.
  * debian/control:
    - Add ukui-window-switch to suggests.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 16 Apr 2020 16:33:48 +0800

ukui-panel (2.0.6-1) unstable; urgency=medium

  * New upstream bugfix release:
    - Fix that the applet window not autohide.
    - Fix the i18n issue in night mode and calendar.
    - Fix the coffliction between preview window and warkspace.
    - Fix the wrong position of right-click menu.
    - Fix the missing icon of disk.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 09 Apr 2020 17:35:53 +0800

ukui-panel (2.0.5-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix that disk popup window don't disappear.
    - Fix calendar i18n issue.
    - Fix the sorting issue of applets.
    - Fix that sometimes applets disappear.
    - Fix the wrong time of calendar.
    - Fix the error when select holiday.
    - Fix that panel doesn't follow the primary screen.
    - Fix the wrong position of preview windows.
    - Fix the error when adding application to quick launch area.
    - Fix the wrong gsettings key.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 06 Apr 2020 19:53:00 +0800

ukui-panel (2.0.4-1) unstable; urgency=medium

  * New upstream bugfix-only release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 30 Mar 2020 21:34:53 +0800

ukui-panel (2.0.3-1) unstable; urgency=medium

  * New upstream bugfix-only release.
  * debian/control:
    - Update the vcs location.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 23 Mar 2020 12:35:10 +0800

ukui-panel (2.0.2-1) unstable; urgency=medium

  * New upstream release:
    - Update the UI of calendar by new design.
    - Update the UI of plugin ukui-flash-disk.
    - Fix the wrong position when panel changed direction.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 21 Mar 2020 16:52:54 +0800

ukui-panel (2.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix build under Arch.
    - Fix the error when click calendar.
    - Fix the error when show preview.
    - Adjust the style.
    - Add dbus interface.
    - Add disk plugin.
    - Add close button to preview.
    - Add tray storage area.
  * debian/control:
    - Add libpoppler-dev, libpopplet-qt5-dev and libpeony-dev to
      build-depends.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 12 Mar 2020 10:45:13 +0800

ukui-panel (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Migrate from gtk to qt.
  * Debian/{control,compat}:
    - Use debhelper-compat notation.
    - Bump standards-version to 4.5.0.
    - Set Rules-Requires-Root to no.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 02 Feb 2020 14:07:37 +0800

ukui-panel (1.1.6-1) unstable; urgency=medium

  * Change the default grouping type of window-list.
  * Fix that window-list disappears after multi restart.
  * Update the copyright.
  * debian/control:
    - Bump standards-version to 4.4.0.
    - Drop mate-polkit.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 07 Aug 2019 11:25:09 +0800

ukui-panel (1.1.5-1) unstable; urgency=medium

  * Update es.po, fr.po, pt.po, ru.po.
  * Update the theme when system theme changes.
  * Fix the bug that window-list disappears accidentally.
  * Fix the bug that the icon stuck after multiple clicks.
  * Fix the bug that can't move the applet to the right of window-list.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 27 Dec 2018 20:12:06 +0800

ukui-panel (1.1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #903943)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Jul 2018 11:15:52 +0800

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=ukui-panel
pkgver=3.0.6.4
pkgrel=4
pkgdesc="Launcher and docking facility for UKUI"
arch=('x86_64')
license=('GPL')
url="https://github.com/ukui/ukui-panel"
groups=('ukui')
provides=('ukui-indicators')
replaces=('ukui-indicators')
depends=('dconf' 'gsettings-qt' 'kwindowsystem5' 'libdbusmenu-qt5' 'libqt5xdg' 'peony'
         'ukui-biometric-auth' 'ukui-menu' 'ukui-menus')
makedepends=('cmake' 'ninja' 'qt5-tools')
source=("$pkgname-$pkgver.tar.gz::https://github.com/ukui/ukui-panel/archive/v$pkgver.tar.gz")
sha512sums=('a80c4a096daa1e08fe68cc0f8f117de9b76026f1ccc23790375fd2286deeba5c3a48e29eaf330c64f6106cfe2e51832e73c7cca09e0673009d5b3eb9583708cd')

prepare() {
  mkdir -p build
  sed -i '1i #include <QPainterPath>' $pkgname-$pkgver/ukui-flash-disk/ejectInterface.cpp
  sed -e '/QtWebKit/d' -i $pkgname-$pkgver/plugin-calendar/ukuicalendar.*
}

build() {
  cd build
  cmake ../$pkgname-$pkgver \
    -GNinja -DCMAKE_INSTALL_PREFIX=/usr
  ninja
}

package() {
  cd build
  DESTDIR="$pkgdir" ninja install
}
